Package org.apache.sysds.runtime.frame.data.columns

# Class ABooleanArray

java.lang.Object
org.apache.sysds.runtime.frame.data.columns.Array<Boolean>
org.apache.sysds.runtime.frame.data.columns.ABooleanArray

All Implemented Interfaces:
  `org.apache.hadoop.io.Writable`

Direct Known Subclasses:
  `BitSetArray`, `BooleanArray`

public abstract class ABooleanArray extends Array<Boolean>

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.frame.data.columns.Array

`Array.ArrayIterator`

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.frame.data.columns.Array

`ROW_PARALLELIZATION_THRESHOLD`

## Method Summary

Modifier and Type
Method
Description
`abstract ABooleanArray`
`clone()`
Overwrite of the java internal clone function for arrays, return a clone of underlying data that is mutable, (not immutable data.) Immutable data is dependent on the individual allocated arrays
`abstract boolean`
`isAllTrue()`
`boolean`
`possiblyContainsNaN()`
`abstract ABooleanArray`
`select(boolean[] select, int nTrue)`
Slice out the true indices in the select input and return the sub array.
`abstract ABooleanArray`
`select(int[] indices)`
Slice out the specified indices and return the sub array.
`abstract void`
`setNullsFromString(int rl, int ru, Array<String> value)`
set boolean values in this array depending on null positions in the string array.
`abstract ABooleanArray`
`slice(int rl, int ru)`
Slice out the sub range and return new array with the specified type.

### Methods inherited from class org.apache.sysds.runtime.frame.data.columns.Array

`analyzeValueType, analyzeValueType, append, append, append, baseMemoryCost, changeType, changeType, changeType, changeType, changeTypeWithNulls, changeTypeWithNulls, changeTypeWithNulls, containsNull, equals, equals, extractDouble, fill, fill, findEmpty, findEmptyInverse, get, get, getAsByteArray, getAsDouble, getAsNaNDouble, getCache, getExactSerializedSize, getFrameArrayType, getInMemorySize, getInternal, getIterator, getMinMaxLength, getNulls, getRecodeMap, getRecodeMap, getRecodeMap, getValueType, hashDouble, isEmpty, isNotEmpty, isShallowSerialize, minMax, minMax, reset, set, set, set, set, set, setCache, setFromOtherType, setFromOtherTypeNz, setFromOtherTypeNz, setM, setM, setNz, setNz, size, statistics, toString`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hadoop.io.Writable

`readFields, write`

## Method Details

### isAllTrue

public abstract boolean isAllTrue()

### slice

public abstract ABooleanArray slice(int rl, int ru)
Description copied from class: `Array`
Slice out the sub range and return new array with the specified type. If the conversion fails fallback to normal slice.

Specified by:
  `slice` in class `Array<Boolean>`
Parameters:
  `rl` - row start
  `ru` - row end (not included)
Returns:
  A new array of sub range.

### clone

public abstract ABooleanArray clone()
Description copied from class: `Array`
Overwrite of the java internal clone function for arrays, return a clone of underlying data that is mutable, (not immutable data.) Immutable data is dependent on the individual allocated arrays

Specified by:
  `clone` in class `Array<Boolean>`
Returns:
  A clone

### select

public abstract ABooleanArray select(int[] indices)
Description copied from class: `Array`
Slice out the specified indices and return the sub array.

Specified by:
  `select` in class `Array<Boolean>`
Parameters:
  `indices` - The indices to slice out
Returns:
  the sliced out indices in an array format

### select

public abstract ABooleanArray select(boolean[] select, int nTrue)
Description copied from class: `Array`
Slice out the true indices in the select input and return the sub array.

Specified by:
  `select` in class `Array<Boolean>`
Parameters:
  `select` - a boolean vector specifying what to select
  `nTrue` - number of true values inside select
Returns:
  the sliced out indices in an array format

### possiblyContainsNaN

public boolean possiblyContainsNaN()

Specified by:
  `possiblyContainsNaN` in class `Array<Boolean>`

### setNullsFromString

public abstract void setNullsFromString(int rl, int ru, Array<String> value)
set boolean values in this array depending on null positions in the string array.

Parameters:
  `rl` - Inclusive lower bound
  `ru` - Exclusive upper bound
  `value` - The string array to set from.